org.hibernate.validator.internal.engine

## Class ValidatorImpl

- java.lang.Object
- - org.hibernate.validator.internal.engine.ValidatorImpl

- All Implemented Interfaces:
    ExecutableValidator, Validator

      public class ValidatorImpl
      extends Object
      implements Validator, ExecutableValidator

  The main Bean Validation class. This is the core processing class of Hibernate Validator.
  Author:
    Emmanuel Bernard, Hardy Ferentschik, Gunnar Morling, Kevin Pollet (C) 2011 SERLI

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidatorImpl(ConstraintValidatorFactory constraintValidatorFactory, MessageInterpolator messageInterpolator, TraversableResolver traversableResolver, BeanMetaDataManager beanMetaDataManager, ParameterNameProvider parameterNameProvider, TypeResolutionHelper typeResolutionHelper, List<ValidatedValueUnwrapper<?>> validatedValueHandlers, ConstraintValidatorManager constraintValidatorManager, boolean failFast)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExecutableValidator` | `forExecutables()`
    `BeanDescriptor` | `getConstraintsForClass(Class<?> clazz)`
    `<T> T` | `unwrap(Class<T> type)`
    `<T> Set<ConstraintViolation<T>>` | `validate(T object, Class<?>... groups)`
    `<T> Set<ConstraintViolation<T>>` | `validateConstructorParameters(Constructor<? extends T> constructor, Object[] parameterValues, Class<?>... groups)`
    `<T> Set<ConstraintViolation<T>>` | `validateConstructorReturnValue(Constructor<? extends T> constructor, T createdObject, Class<?>... groups)`
    `<T> Set<ConstraintViolation<T>>` | `validateParameters(T object, Method method, Object[] parameterValues, Class<?>... groups)`
    `<T> Set<ConstraintViolation<T>>` | `validateProperty(T object, String propertyName, Class<?>... groups)`
    `<T> Set<ConstraintViolation<T>>` | `validateReturnValue(T object, Method method, Object returnValue, Class<?>... groups)`
    `<T> Set<ConstraintViolation<T>>` | `validateValue(Class<T> beanType, String propertyName, Object value, Class<?>... groups)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidatorImpl

          public ValidatorImpl(ConstraintValidatorFactory constraintValidatorFactory,
                       MessageInterpolator messageInterpolator,
                       TraversableResolver traversableResolver,
                       BeanMetaDataManager beanMetaDataManager,
                       ParameterNameProvider parameterNameProvider,
                       TypeResolutionHelper typeResolutionHelper,
                       List<ValidatedValueUnwrapper<?>> validatedValueHandlers,
                       ConstraintValidatorManager constraintValidatorManager,
                       boolean failFast)

  - ### Method Detail

    - #### validate

          public final <T> Set<ConstraintViolation<T>> validate(T object,
                                                 Class<?>... groups)

      Specified by:
        `validate` in interface `Validator`

    - #### validateProperty

          public final <T> Set<ConstraintViolation<T>> validateProperty(T object,
                                                         String propertyName,
                                                         Class<?>... groups)

      Specified by:
        `validateProperty` in interface `Validator`

    - #### validateValue

          public final <T> Set<ConstraintViolation<T>> validateValue(Class<T> beanType,
                                                      String propertyName,
                                                      Object value,
                                                      Class<?>... groups)

      Specified by:
        `validateValue` in interface `Validator`

    - #### validateParameters

          public <T> Set<ConstraintViolation<T>> validateParameters(T object,
                                                           Method method,
                                                           Object[] parameterValues,
                                                           Class<?>... groups)

      Specified by:
        `validateParameters` in interface `ExecutableValidator`

    - #### validateConstructorParameters

          public <T> Set<ConstraintViolation<T>> validateConstructorParameters(Constructor<? extends T> constructor,
                                                                      Object[] parameterValues,
                                                                      Class<?>... groups)

      Specified by:
        `validateConstructorParameters` in interface `ExecutableValidator`

    - #### validateConstructorReturnValue

          public <T> Set<ConstraintViolation<T>> validateConstructorReturnValue(Constructor<? extends T> constructor,
                                                                       T createdObject,
                                                                       Class<?>... groups)

      Specified by:
        `validateConstructorReturnValue` in interface `ExecutableValidator`

    - #### validateReturnValue

          public <T> Set<ConstraintViolation<T>> validateReturnValue(T object,
                                                            Method method,
                                                            Object returnValue,
                                                            Class<?>... groups)

      Specified by:
        `validateReturnValue` in interface `ExecutableValidator`

    - #### getConstraintsForClass

          public final BeanDescriptor getConstraintsForClass(Class<?> clazz)

      Specified by:
        `getConstraintsForClass` in interface `Validator`

    - #### unwrap

          public final <T> T unwrap(Class<T> type)

      Specified by:
        `unwrap` in interface `Validator`

    - #### forExecutables

          public ExecutableValidator forExecutables()

      Specified by:
        `forExecutables` in interface `Validator`

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved